Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2165669 - Review Request: python-fspath - Handling path names and executables more comfortable
Summary: Review Request: python-fspath - Handling path names and executables more comf...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Sandro
QA Contact: Fedora Extras Quality Assurance
URL: http://return42.github.io/fspath
Whiteboard: Trivial
Depends On:
Blocks: fedora-neuro, NeuroFedora 1795446
TreeView+ depends on / blocked
 
Reported: 2023-01-30 17:28 UTC by Ankur Sinha (FranciscoD)
Modified: 2023-03-30 01:19 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-03-20 13:57:07 UTC
Type: ---
Embargoed:
gui1ty: fedora-review+


Attachments (Terms of Use)
The .spec file difference from Copr build 5366420 to 5569287 (deleted)
2023-02-27 10:40 UTC, Jakub Kadlčík
no flags Details | Diff

Description Ankur Sinha (FranciscoD) 2023-01-30 17:28:17 UTC
Spec URL: https://ankursinha.fedorapeople.org/python-fspath/python-fspath.spec
SRPM URL: https://ankursinha.fedorapeople.org/python-fspath/python-fspath-20190323-2.fc38.src.rpm

Description:
After 10 years juggling with os.path, zipfile & Co. I thought it is time to
bring back more pythonic to APIs. It is made with the philosophy that API’s
should be intuitive and their defaults should at least cover 80% of what
programmer daily needs. Started with the semantic file system pathes, it grows
continuous and includes more and more handy stuff for the daily python
scripting.

Fedora Account System Username: ankursinha

Comment 1 Ankur Sinha (FranciscoD) 2023-01-30 17:28:19 UTC
This package built on koji:  https://koji.fedoraproject.org/koji/taskinfo?taskID=96884089

Comment 2 Jakub Kadlčík 2023-01-30 17:35:21 UTC
Copr build:
https://copr.fedorainfracloud.org/coprs/build/5366420
(succeeded)

Review template:
https://download.copr.fedorainfracloud.org/results/@fedora-review/fedora-review-2165669-python-fspath/fedora-rawhide-x86_64/05366420-python-fspath/fedora-review/review.txt

Please take a look if any issues were found.

---
This comment was created by the fedora-review-service
https://github.com/FrostyX/fedora-review-service

Comment 3 Sandro 2023-02-15 11:48:28 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======

[!]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
=> Upstream has added a license file. I think that should be included. The spec file needs to be updated accordingly (license and license file).

[ ]: Macros in Summary, %description expandable at SRPM build time.
=> There's a special character in the description: 'philosophy that API’s', which expands to 'API’s'. Please change to ASCII.

[!]: Latest version is packaged.
=> Latest version on PyPI is 20190323. There are no releases on GitHub. I think building from tag/commit is permissible, but then we have contradicting licenses on PyPI and GitHub. Maybe upstream could push an update to PyPI for the license change? Then we could also build from PyPI sources instead of GitHub.

If building from GitHub commit, e.g. for including the license file, I would suggest using %{forgemeta} macros. That will also clearly convey that the build is based on a git commit in the dist tag.

===== MUST items =====

Generic:
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
     Note: Using prebuilt packages
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "GNU General Public License, Version
     2", "*No copyright* GNU General Public License, Version 2". 45 files
     have unknown license. Detailed output of licensecheck in
     /var/lib/copr-rpmbuild/results/python-fspath/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Macros in Summary, %description expandable at SRPM build time.
     Note: Macros in: python3-fspath (description)
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[-]: Python eggs must not download any dependencies during the build
     process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[!]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: %define autorelease(e:s:pb:n)
     %{?-p:0.}%{lua:
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).

Comment 4 Sandro 2023-02-25 13:37:30 UTC
ping?

Comment 6 Jakub Kadlčík 2023-02-27 10:40:06 UTC
Created attachment 1946692 [details]
The .spec file difference from Copr build 5366420 to 5569287

Comment 7 Jakub Kadlčík 2023-02-27 10:40:08 UTC
Copr build:
https://copr.fedorainfracloud.org/coprs/build/5569287
(succeeded)

Review template:
https://download.copr.fedorainfracloud.org/results/@fedora-review/fedora-review-2165669-python-fspath/fedora-rawhide-x86_64/05569287-python-fspath/fedora-review/review.txt

Please take a look if any issues were found.

---
This comment was created by the fedora-review-service
https://github.com/FrostyX/fedora-review-service

If you want to trigger a new Copr build, add a comment containing new
Spec and SRPM URLs or [fedora-review-service-build] string.

Comment 8 Sandro 2023-03-14 11:04:20 UTC
Almost done! ;)

The latest release is now available on PyPI. You could switch the source to PyPI instead of GitHub. But that's up to you. Either way, the source tarball contains a README.rst and that file does not make it into the package:

[!]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.

Please include the README.rst as %doc.

Comment 11 Sandro 2023-03-20 12:34:36 UTC
LGTM --> APPROVED!

Comment 12 Fedora Admin user for bugzilla script actions 2023-03-20 13:40:46 UTC
The Pagure repository was created at https://src.fedoraproject.org/rpms/python-fspath

Comment 13 Fedora Update System 2023-03-20 13:54:39 UTC
FEDORA-2023-778e6612fe has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-778e6612fe

Comment 14 Fedora Update System 2023-03-20 13:57:07 UTC
FEDORA-2023-778e6612fe has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 15 Fedora Update System 2023-03-21 06:57:02 UTC
FEDORA-2023-a385041d6e has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-a385041d6e

Comment 16 Fedora Update System 2023-03-21 07:06:16 UTC
FEDORA-2023-6006b0c8cc has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2023-6006b0c8cc

Comment 17 Fedora Update System 2023-03-21 07:12:55 UTC
FEDORA-2023-8b2f708487 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2023-8b2f708487

Comment 18 Fedora Update System 2023-03-22 01:26:06 UTC
FEDORA-2023-8b2f708487 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-8b2f708487 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-8b2f708487

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 19 Fedora Update System 2023-03-22 02:16:46 UTC
FEDORA-2023-a385041d6e has been pushed to the Fedora 38 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-a385041d6e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 20 Fedora Update System 2023-03-22 02:24:39 UTC
FEDORA-2023-6006b0c8cc has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-6006b0c8cc \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-6006b0c8cc

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 21 Fedora Update System 2023-03-30 00:19:29 UTC
FEDORA-2023-a385041d6e has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 22 Fedora Update System 2023-03-30 01:14:19 UTC
FEDORA-2023-8b2f708487 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 23 Fedora Update System 2023-03-30 01:19:07 UTC
FEDORA-2023-6006b0c8cc has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.